<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    
</body>
</html>

<script>
    let name = "John";
    let myObj = {name};

    let myObj2 = {
        name,
        sayHi() {
            console.log("Hi, my name is " + this.name);
        }
    }
    myObj2.sayHi();
</script>